"use strict";
/*---------------------------------------------------------------------------------------------
* Copyright (c) Bentley Systems, Incorporated. All rights reserved.
* See LICENSE.md in the project root for license terms and full copyright notice.
*--------------------------------------------------------------------------------------------*/
/** @packageDocumentation
 * @module Logging
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.IModelHubClientLoggerCategory = void 0;
/** Logger categories used by this package
 * @note All logger categories in this package start with the `imodelhub-client` prefix.
 * @see [Logger]($bentley)
 * @public
 */
var IModelHubClientLoggerCategory;
(function (IModelHubClientLoggerCategory) {
    /** The logger category used by iModelHub clients */
    IModelHubClientLoggerCategory["IModelHub"] = "imodelhub-client.iModelHub";
    /** @internal */
    IModelHubClientLoggerCategory["IModelBank"] = "imodelhub-client.iModelBank";
})(IModelHubClientLoggerCategory = exports.IModelHubClientLoggerCategory || (exports.IModelHubClientLoggerCategory = {}));
//# sourceMappingURL=IModelHubClientLoggerCategories.js.map